Bug 1289520 - latexpand triggers perl warnings
latexpand triggers perl warnings
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 06:47 EST by Michael S. Tsirkin
Modified: 2015-12-19 13:25 EST (History)
3 users (show)

See Also:
Fixed In Version: texlive-2014-16.20140525_r34255.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-19 13:25:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael S. Tsirkin 2015-12-08 06:47:41 EST
Description of problem:
starting Fedora 23, /usr/bin/latexpand started
triggering perl warnings on stderr.
this confuses scripts that parse stderr looking
for latex errors.

Version-Release number of selected component (if applicable):
texlive-latexpand-bin-svn27025.0-15.20140525_r34255.fc23.noarch

How reproducible:
always

Steps to Reproduce:
1. install full texlive
2. /usr/bin/latexpand 

Actual results:
$ /usr/bin/latexpand 
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/^[ \t]*\\end{ <-- HERE document}/ at /usr/bin/latexpand line 86.
Use of my $_ is experimental at /usr/bin/latexpand line 95.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/^\s*\\usepackage{ <-- HERE ([^}]*)}\s*$/ at /usr/bin/latexpand line 137.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/^(.*)\\bibliography{ <-- HERE ([^}]*)}(.*)$/ at /usr/bin/latexpand line 150.

Expected results:
no output should be produced.

Additional info:
this seems relevant
https://metacpan.org/pod/release/PCM/perl-5.21.3/pod/perl5211delta.pod#A-literal-should-now-be-escaped-in-a-pattern
Comment 1 Fedora Update System 2015-12-15 09:35:26 EST
texlive-2014-16.20140525_r34255.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a847a848f3
Comment 2 Fedora Update System 2015-12-16 21:00:31 EST
texlive-2014-16.20140525_r34255.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update texlive'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a847a848f3
Comment 3 Fedora Update System 2015-12-19 13:25:36 EST
texlive-2014-16.20140525_r34255.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.